HomeGuidesAPI Reference
ChangelogHelp CenterCommunityContact Us
API Reference

Get Folders

🚧

This endpoint is in beta and subject to change.

A beta revision header (2026-10-15.pre) is required to use our beta APIs. Klaviyo APIs in beta are not intended for use in production. See our versioning and deprecation policy for more information.

List top-level folders (or all folders matching a filter).

Lists root-level folders by default. To list one specific folder's children, use GET /api/folders/{id}/children instead.

Rate limits:
Burst: 10/s
Steady: 150/m

Scopes:
folders:read

OpenAPI Spec

Query Params
additional-fields[folder]
array of strings

Request additional fields not included by default in the response. Supported values: 'child_count', 'item_count'

additional-fields[folder]
Allowed:
fields[folder]
array of strings
fields[folder]
Allowed:
string

For more information please visit https://developers.klaviyo.com/en/v2026-10-15.pre/reference/api-overview#filtering
Allowed field(s)/operator(s):
name: contains (string)
folder_type: equals (allowed values: 'media', 'email_template')

include
array of strings
include
Allowed:
string
enum
Defaults to -created
Allowed:
string

Page cursor

integer
1 to 1000
Defaults to 15

Default: 15. Min: 1. Max: 1000.

Headers
string
required
Defaults to 2026-10-15.pre

API endpoint revision (format: YYYY-MM-DD[.suffix])

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/vnd.api+json